#ifndef _MEDIABAR_H
#define _MEDIABAR_H

#include <View.h>
#include <MediaDefs.h>
#include "TransportButton.h"
#include "MediaSlider.h"

enum media_action {
	MEDIA_PLAY,
	MEDIA_STOP,
};

class _MediaBar_ : public BView {
public:
					_MediaBar_(BRect frame, VideoWindow *owner);

	void			SetTotalTime(bigtime_t totalTime);
	void			SetCurTime(bigtime_t curTime);
	void			ActionUpdate(media_action action);

	virtual void	AttachedToWindow();
	virtual void	Draw(BRect updateRect);
	virtual void	MessageReceived(BMessage *message);

private:
	VideoWindow*			fOwner;
	PlayPauseButton*	fPlayPauseButton;
	_MediaSlider_*		fMediaSlider;
};

#endif